Package net.commoble.infiniverse.api

# Class UnregisterDimensionEvent

java.lang.Object
net.neoforged.bus.api.Event
net.commoble.infiniverse.api.UnregisterDimensionEvent

All Implemented Interfaces:
  `net.neoforged.bus.api.ICancellableEvent`

public class UnregisterDimensionEvent extends net.neoforged.bus.api.Event implements net.neoforged.bus.api.ICancellableEvent
Fires when a dimension/level is about to be unregistered by Infiniverse.
This event fires on `NeoForge.EVENT_BUS` and is not cancellable.

## Constructor Summary

Constructors
Constructor
Description
`UnregisterDimensionEvent(net.minecraft.server.level.ServerLevel level)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.server.level.ServerLevel`
`getLevel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.bus.api.ICancellableEvent

`isCanceled, setCanceled`

## Constructor Details

### UnregisterDimensionEvent

public UnregisterDimensionEvent(net.minecraft.server.level.ServerLevel level)

## Method Details

### getLevel

public net.minecraft.server.level.ServerLevel getLevel()

Returns:
  The level that is about to be unregistered by Infiniverse.